ArrayObject::getIteratorClass
ArrayObject::natcasesort
ArrayObject
PHP Manual

# ArrayObject::ksort

(PHP 5 >= 5.2.0)

ArrayObject::ksort — Sort the entries by key

### Description

void ArrayObject::ksort ( void )

Sorts the entries by key, maintaining key to entry correlations. This is useful mainly for associative arrays.

### Parameters

This function has no parameters.

### Return Values

No value is returned.

### Examples

Example #1 ArrayObject::ksort() example

`<?php
$fruits = array("d" => "lemon", "a" => "orange", "b" => "banana", "c" => "apple");
$fruitArrayObject = new ArrayObject($fruits);
$fruitArrayObject->ksort();
foreach ($fruitArrayObject as $key => $val) {
echo "$key = $val\n";
}
?>`

The above example will output:

    a = orange
    b = banana
    c = apple
    d = lemon

ArrayObject::getIteratorClass
ArrayObject::natcasesort
ArrayObject
PHP Manual